Welcome Guest, Not a member yet? Register   Sign In
Upgrading from 4.1.9 to 4.2.0 issues
#1

(This post was last modified: 08-16-2022, 09:03 AM by fre2mansur.)

Hello Everyone, I would like to upgrade my CI from 4.1.9 to 4.2.4 as well as PHP if its required. 

I have installed the CI CMD tool
Code:
composer create-project codeigniter4/appstarter 
My CI Version is 
Code:
CodeIgniter v4.1.9 Command Line Tool - Server Time: 2022-08-15 20:12:37 UTC-05:00

My PHP Version is
Code:
PHP 7.3.5 (cli) (built: May  1 2019 13:17:17) ( ZTS MSVC15 (Visual C++ 2017) x64 )


I tried 
Code:
composer update
i get return as Nothing to install or update

Mandatory File Changes
I have upgraded the thease files from 
public/index.php  // https://github.com/codeigniter4/CodeIgniter4/blob/v4.2.0/public/index.php
spark //https://github.com/codeigniter4/CodeIgniter4/blob/v4.2.0/spark

I run again composer update same response as Nothing to install or update and when i run the app php spark serve
I got this error

Call to undefined method CodeIgniter\CodeIgniter::setContext()

at ROOTPATH\spark:72
Reply


Messages In This Thread
Upgrading from 4.1.9 to 4.2.0 issues - by fre2mansur - 08-15-2022, 06:45 PM



Theme © iAndrew 2016 - Forum software by © MyBB